#encoding=utf-8
import sys,os
path = os.path.abspath(__file__)
absdir = path[0:path.rfind('/')]
absdir = path[0:path.rfind('/')]
sys.path.append(absdir[0:absdir.rfind('/',0,len(absdir))])

import logging
from common.const import type

log = logging.getLogger('root')

def clean_synctask(client,bucketName, jobType, synctask, isCleanRound0):
    queue = list()
    if not jobType:
        log.info('start to clean a synctask:'+synctask)
        queue.append(synctask+'/')
    else:
        log.info('start to clean '+ jobType + ',synctask:'+synctask)
        queue.append(synctask+'/'+jobType+'/')
    while (queue):
        prefix = queue.pop(0)
        marker = ''
        while True:
            returnVal = client.list_objects( bucketName,prefix,marker)
            if not returnVal:
                return False
            [objects,dirs,isTruncated,marker] = returnVal
            if dirs:
                for mydir in dirs:
                    if mydir.startswith(synctask+'/'+jobType+'/round0/') and (isCleanRound0==False):
                        continue
                    queue.append(mydir)
            if not objects:
                break
            else:
                if not client.delete_objectlist(bucketName, objects):
                    return False
            if not isTruncated:
                break
    
    return True


def clean_job(client,bucketName, prefix):
    #删除该目录下的所有文件
    log.info('start to clean a job:'+prefix)
    queue = list()
    queue.append(prefix)
    while (queue):
        prefix = queue.pop(0)
        marker = ''
        while True:
            returnVal = client.list_objects( bucketName,prefix,marker)
            if not returnVal:
                return False
            [objects,dirs,isTruncated,marker] = returnVal
            if dirs:
                for mydir in dirs:
                    queue.append(mydir)
            if not client.delete_objectlist(bucketName, objects):
                return False
            if not isTruncated:
                break
    return True

                
                
                