#encoding=utf-8
import logging
log = logging.getLogger('root')

def read_config(configFileName):
    
    try:
        configFile = open(configFileName,"r")
    except IOError,e:
        log.error(e)
        log.error("Con not find Config file!")
        exit(1)
    maps = dict()
    for line in configFile:
        line = line.strip('\n').strip()
        if len(line) == 0 or line.startswith("#",0,1) or line.count("=") != 1:
            continue
        pair = line.split("=")
        for i in  range(0,len(pair)):
            pair[i] = pair[i].strip()
        maps[pair[0]] = pair[1]
    return maps

def check_config(maps):
     
    
    if maps.has_key('is-continue') and maps['is-continue'] !='True' and maps['is-continue'] !='False':
        log.error('please check the configuration of "is-continue"')
        exit(1)
    if (not maps.has_key('port')) or (not maps['port']):
        maps['port'] = '6262'
    if (not maps.has_key('is-continue')) or (not maps['is-continue']):
        maps['is-continue'] = 'True'
            

if __name__ == '__main__':
    print 'ok'
    