#encoding=utf-8
from botocore.exceptions import IncompleteReadError
import logging
log = logging.getLogger('root')

class LinesObject:
    def __init__(self, linelist):
        self.linelist = linelist
        self.currentPos = 0
        self.length = len(self.linelist)
    def readline(self):
        if self.currentPos == self.length:
            return None
        else:
            self.currentPos += 1
            return self.linelist[self.currentPos-1]

def readlines(client, bucketName, keyName):
    #写这个函数的目的是为了防止读超时，导致的读取错误
    #if success return a list, or return None
    linelist = list()
    while True:
        linelist[:] = []
        lines = client.get_object_with_stream(bucketName, keyName)
        if not lines:
            return None
        try:
            line = lines.readline()
            while line:
                linelist.append(line)
                line = lines.readline()
            return LinesObject(linelist)
        except Exception, e:
            log.error(e)
            log.error('read lines of '+bucketName+'failed, and we will try again')

    
    