#encoding=utf-8
import sys,os
path = os.path.abspath(__file__)
absdir = path[0:path.rfind('/')]
absdir = path[0:path.rfind('/')]
sys.path.append(absdir[0:absdir.rfind('/',0,len(absdir))])

from common.const import type
import getpathinfo
import readdata
absdir = getpathinfo.get_absdir(os.path.abspath(__file__))
prefix = absdir.rfind('/',0,len(absdir)-1)+1
sys.path.append(absdir[0:prefix]+'const')
import json
import logging
log = logging.getLogger('root')
def generate_errorlist(client, bucketName,jobType,synctask,currentRound,errorFileName):
    log.info('start to generate errorlist for '+jobType)
    try:
        errorFile = open(errorFileName,'w')
        taskDirs = client.get_alldir(bucketName,synctask+'/'+jobType+'/round'+str(currentRound)+'/')
        existFailedFile = False
        for mydir in taskDirs:
            lines = readdata.readlines(client, bucketName, mydir+'errorlist')
            if not lines:
                exit(1)
            line = lines.readline()
            line = lines.readline()
            while line:
                errorFile.write(line)
                line = lines.readline()
                existFailedFile = True
            errorFile.write('\n')
                
        errorFile.close()
        if not existFailedFile:
            log.info('there are no file failed,congratulation!')
        else:
            log.info('some file failed,and we save them in '+errorFileName+'. you can find why failed with it.')
    except IOError,e:
        log.error(e)
        
def generate_md5list(client, bucketName,synctask,md5FileName):
    log.info('start to generate md5list')
    try:
        success = 0
        md5File = open(md5FileName,'w')
        roundDirs = client.get_alldir(bucketName,synctask+'/'+type.JobType.Check+'/')
        for roundDir in roundDirs:
            if 'round' in roundDir:
                taskDirs = client.get_alldir(bucketName,roundDir)
                for mydir in taskDirs:
                    lines = readdata.readlines(client, bucketName, mydir+'md5list')
                    if not lines:
                        continue
                    line = lines.readline()
                    if not line:
                        continue
                    while line:
                        success += 1
                        md5File.write(line)
                        line = lines.readline()
                    md5File.write('\n')
    
        md5File.close()
        return success
    except Exception,e:
        log.error(e)
        return 0
    
def generate_report(thisJobDir,reportFileName,job):
    try:
        if not os.path.exists(thisJobDir):
            os.mkdir(thisJobDir)
        reportFile = open(thisJobDir+reportFileName,'a')
        reportFile.write("################### your config of master ###################\n")
        jsObj = json.dumps(job)
        reportFile.write(jsObj)
        reportFile.write('\n')
        return reportFile
    except Exception,e:
        log.error(e)
            
def write_report_roundInfo(reportFile, synctask, jobType,currentRound,roundInfo,finishedRoundInfo):
    allFiles = roundInfo[0]
    allSize = roundInfo[1]
    finishedFiles = finishedRoundInfo[0]
    finishedSize = finishedRoundInfo[1]
    reportFile.write("################### "+str(synctask)+' '+str(jobType)+" round"+str(currentRound)+" ###################\n")
    reportFile.write(str(finishedFiles)+'/'+str(allFiles)+','+str(finishedSize)+'/'+str(allSize)+'\n')
    
    
        
        
        

        
                
                
                
                
                
                
                
                
