#encoding=utf-8
import os,sys
path = os.path.abspath(__file__)
absdir = path[0:path.rfind('/')]
sys.path.append(absdir[0:absdir.rfind('/',0,len(absdir))])

import json
import logging
log = logging.getLogger('root')
def save_para(para,absdir):
    try:
        if not os.path.exists(absdir+'taskinfo'):
            os.mkdir(absdir+'taskinfo')
        myfile = open(absdir+'taskinfo/para','w')
        myfile.write(json.dumps(para))
        myfile.close()
        return True
    except IOError,e:
        log.error(e)
        return None
    
def create_objectstatusFile(fileName):
    """
    保存文件是否完成的信息，这里将使用dict,每行的内容是：文件名　0/1
    0表示完成，１表示未完成
    空间消耗大概是１Ｍ，不过能提高速度
    """
    try:
        myfile = open(fileName,'w')
        return myfile
    except IOError,e:
        log.error(e)
        exit(1)
def close_objectstatusFile(myfile):
    try:
        myfile.close()
    except IOError,e:
        log.error(e)
        exit(1)

def delete_local_data(absdir):
    try:
        if os.path.exists(absdir+'taskinfo/para'):
            os.remove(absdir+'taskinfo/para')
        if os.path.exists(absdir+'taskinfo/objectstatus'):
            os.remove(absdir+'taskinfo/objectstatus')
        if os.path.exists(absdir+'taskinfo'):
            os.rmdir(absdir+'taskinfo')
        return True
    except IOError,e:
        log.error(e)
        return None
        
        
        
        
        
        
    